/*
 * Copyright 2011 Gewton Jhames <gewtonj@gmail.com>
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package info.gewton.slsecurity.dao.support;

import java.util.List;

import info.gewton.slsecurity.dao.Dao;
import info.gewton.slsecurity.model.Post;
import info.gewton.slsecurity.model.PostUser;

/**
 * Interface com métodos padrões de acesso a dados e métodos exclusivos de
 * manipulação da entidade {@link Post}
 * @author gewton
 */
public interface PostDao extends Dao<Post> {
    /**
     * Carrega todos os posts de um {@link PostUser}
     * @param u usuário que postou
     * @return lista com todos os posts de <tt>u</tt>
     */
    List<Post> retrieveByUser(PostUser u);
}
