package info.gewton.slsecurity.model;

import java.util.Collection;

import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.AuthorityUtils;
import org.springframework.security.core.userdetails.User;

/**
 * Anemic Model para guardar informações sobre um usuário. <br />
 * Por conveniência, extende {@link User}, mas isso talvez não seja interessante
 * em uma situação real.
 * @author gewton
 */
public class PostUser extends User {

    private String displayName;
    
    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public PostUser(String username, String password, boolean enabled,
            boolean accountNonExpired, boolean credentialsNonExpired,
            boolean accountNonLocked,
            Collection<? extends GrantedAuthority> authorities) {
        super(username, password, enabled, accountNonExpired, credentialsNonExpired,
                accountNonLocked, authorities);
    }

    public PostUser(String username) {
        super(username, "", true, true, true, true, AuthorityUtils.NO_AUTHORITIES);
    }
}
