/*
 * Copyright 2011 Gewton Jhames <gewtonj@gmail.com>
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package info.gewton.slsecurity.test.simpletestcases;

import info.gewton.slsecurity.model.Post;
import info.gewton.slsecurity.model.PostUser;
import info.gewton.slsecurity.service.PostService;
import info.gewton.slsecurity.test.Test;

import java.util.List;

/**
 * Simples teste de criação de Post. Irá criar um Post com mais de 140 caracteres,
 * somente usuários ROLE_SUPERUSER podem fazê-lo.
 * @author gewton
 */
public class CriarPostTest extends Test {
    
    public static void main(String[] args) {
        new CriarPostTest().doTest();
    }
    
    public void doTest() {
        // ~ Levanta o contexto e efetua login ==================================
        loadApplicationContext();
        String login = "saul";
        setSecurityContext(login, login);
        // ~ Recupera a classe da Service Layer =================================
        PostService s = getAc().getBean(PostService.class);
        // ~ Informa a quantidade de posts desse usuário ========================
        List<Post> posts = s.retrievePosts(new PostUser(login));
        log.info("Tamanho inicial: " + posts.size());
        // ~ Efetua uma postagem com mais de 140 caracteres =====================
        log.info("Postando");
        s.post("Here we are accessing another built–in expression, authentication, which is the Authentication stored in the security context. You can also access its “principal” property directly, using the expr", login);
        // ~ Informa a nova quantidade de posts desse usuário ===================
        log.info("Recuperando os posts novamente");
        posts = s.retrievePosts(new PostUser(login));
        log.info("Novo tamanho: " + posts.size());
    }
}
