/*
 * Copyright 2011 Gewton Jhames <gewtonj@gmail.com>
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package info.gewton.slsecurity.test.simpletestcases;

import info.gewton.slsecurity.service.PostService;
import info.gewton.slsecurity.test.Test;

/**
 * Executa os métodos protegidos por pointcuts AOP.<br />
 * Efetua login com usuário <tt>thor</tt> e executa os métodos que terminam
 * com <tt>SecretOperation</tt>.
 * @author gewton
 */
public class ProtectPointcutTest extends Test {
    
    public static void main(String[] args) {
        new ProtectPointcutTest().doTest();
    }

    public void doTest() {
        // ~ Levanta o contexto e efetua login ==================================
        loadApplicationContext();
        setSecurityContext("thor", "thor");
        // ~ Recupera a classe da Service Layer =================================
        PostService s = getAc().getBean(PostService.class);
        // ~ Invoca os métodos protegidos =======================================
        s.oneSecretOperation();
        s.twoSecretOperation();
        s.threeSecretOperation();
    }
}
