/*
 * Copyright 2011 Gewton Jhames <gewtonj@gmail.com>
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package info.gewton.slsecurity.test.simpletestcases;

import info.gewton.slsecurity.model.Post;
import info.gewton.slsecurity.model.PostUser;
import info.gewton.slsecurity.service.PostService;
import info.gewton.slsecurity.test.Test;

import java.util.List;

/**
 * Simples testes de recuperação de posts de um usuário. <br />
 * Efetua login com usuário <tt>starbuck</tt> e recupera os posts do usuário
 * <tt>cain</tt>.
 * @author gewton
 */
public class RecupearPostTest extends Test {
    
    public static void main(String[] args) {
        new RecupearPostTest().doTest();
    }

    public void doTest() {
        // ~ Levanta o contexto e efetua login ==================================
        loadApplicationContext();
        setSecurityContext("starbuck", "starbuck");
        // ~ Recupera a classe da Service Layer =================================
        PostService s = getAc().getBean(PostService.class);
        List<Post> posts = s.retrievePosts(new PostUser("cain"));
        // ~ Exibe os posts deste usuário =======================================
        System.out.println("POSTS===================");
        for (Post post : posts) {
            System.out.println(String.format("%s  %s", post.getTimestamp(), post.getUser().getUsername()));
            System.out.println(post.getText());
            System.out.println("------------");
        }
        System.out.println("total: " + posts.size());
    }
}
